Skip to main content
DELETE
/
conversion
/
stablecoins
/
{id}
Cancel Stablecoin Conversion
curl --request DELETE \
  --url https://api.paxos.com/v2/conversion/stablecoins/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "e5ca4d90-dff1-488a-ac04-04540f776ae1",
  "profile_id": "c3680989-c04e-4000-9d96-8aca09eedee1",
  "amount": "11.1",
  "source_asset": "USD",
  "target_asset": "USDP",
  "status": "CANCELLED",
  "identity_id": "d6aee44c-c169-405d-b14e-d78818577531",
  "account_id": "47bb49d7-4e6c-43bf-9fd6-6ccd7d7f15d1",
  "created_at": "2023-10-19T21:21:46.497863Z",
  "updated_at": "2023-10-19T21:21:53.297594Z",
  "cancelled_at": "2023-10-19T21:21:53.297594Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.paxos.com/llms.txt

Use this file to discover all available pages before exploring further.

The Orchestrations API replaces this endpoint.New customers should use the Orchestrations API instead. Existing customers should follow the migration guide.
OAuth Scope
conversion:write_conversion_stablecoin

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Path Parameters

id
string
required

System provided UUID for the conversion is provided in the Create Stablecoin Conversion response.

Response

A successful response.

id
string

System provided UUID for the conversion is provided in the Create Stablecoin Conversion response.

Required parameter for the Get Stablecoin Conversion request.

profile_id
string

The Profile associated with a conversion. Required in the Create Stablecoin Conversion request.

amount
string

Asset amount to convert. Details.

source_asset
string

The asset to convert from. Details.

target_asset
string

The asset to convert to. Details.

status
string

The current status of the conversion. Details.

ref_id
string

Client provided, unique Reference ID included the Create Stablecoin Conversion request.

identity_id
string

The Identity ID associated with the user requesting the conversion. Required only for customers with 3rd-Party integrations.

account_id
string

The Account ID associated with the user requesting the conversion. Required only for customers with 3rd-Party integrations.

created_at
string<date-time>

The time at which the conversion was requested. See RFC3339 format, like 2006-01-02T15:04:05Z.

updated_at
string<date-time>

The time at which the conversion was last updated. RFC3339 format, like 2006-01-02T15:04:05Z.

settled_at
string<date-time>

The time at which the conversion was settled. Details. RFC3339 format, like 2006-01-02T15:04:05Z.

cancelled_at
string<date-time>

The time at which the conversion has been cancelled. Details. RFC3339 format, like 2006-01-02T15:04:05Z.

metadata
object

Optional client-specified stored metadata.

recipient_profile_id
string

For directed settlement, the receiving side profile_id.